=begin JA

= Polvani et al. (2004) η԰ư¸

# * ⶶ ˧ (yot), ݹ (takepiro)
#   * $Id: exp-p04.rd,v 1.12 2012-02-22 15:11:34 takepiro Exp $

=end JA
=begin EN

= Baroclinic wave experiment by Polvani et al. (2004)

# * Yoshiyuki O. Takahashi (yot), Shin-ichi Takehiro (takepiro)
#   * $Id: exp-p04.rd,v 1.12 2012-02-22 15:11:34 takepiro Exp $

=end EN


=begin JA
Polvani et al. (2004) ǹԤ줿, ԰ưμ¸¹Ԥˡޤ. 
=end JA
=begin EN
A method to perform a baroclinic wave experiment by Polvani et al. (2004) is described. 
=end EN


=begin JA
== 
ܼ¸ϳɽ̲μ¸ѥǡѤʤ, ʲ 3 ĤΥƥåפǹԤޤ.

  * ¸ǥ쥯ȥν
  * ͤν
  * ¸μ¹
=end JA
=begin EN
== Overview
This experiment does not require additional data, such as SST data. 
Thus, the experiment is performed with the following 3 steps:

  * Preparation of directory for experiments
  * Preparation of initial condition
  * Execution of experiments
=end EN


=begin JA

== ¸ѥǥ쥯ȥ

dcpam5 οͼ¸ϥĥ꡼ǤϹԤ鷺
ĥ꡼Ȥ̤γǥ쥯ȥˤƹԤȤ侩ޤ. 

ޤ dcpam5 Υȥåץǥ쥯ȥ(ʲǤ dcpam5-YYYYMMDD Ȥ)˰ưƤ. 
ʲǤ dcpam5 ǥ쥯ȥ٤ ../dcpma5-exp/p04-exp ǥ쥯ȥ, Ǽ¸ԤȤˤޤ. 
Τ褦  ../dcpam5-exp/p04-exp ǥ쥯ȥ, 
ưƤ. 

  $ mkdir -p ../dcpam5-exp/p04-exp
  $ cd ../dcpam5-exp/p04-exp

, Υǥ쥯ȥ˼¹ԥեե֤ޤ. 

  $ mkdir bin
  $ mkdir conf

Ǹ˺ǥ쥯ȥ˼¹ԥեե򥳥ԡޤ. 

  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_main bin
  $ cp ../../dcpam5-YYYYMMDD/src/main/init_data  bin
  $ cp ../../dcpam5-YYYYMMDD/exp_setup_files/*.conf conf

ʤ, ¹ԥեե (NAMELIST ե) , ɤΥǥ쥯ȥˤƤ׻ԤȤǤޤ. 


=end JA
=begin EN

== Preparation of a directory for experiments

Let us move to the top directory of dcpam5 src tree
(assuming dcpam5-YYYYMMDD in the following example). 
Here, we perform an experiment in ../dcpam5-exp/p04-exp directory. 
Please create the directory and enter there as follows: 

  $ mkdir -p ../dcpam5-exp/p04-exp
  $ cd ../dcpam5-exp/p04-exp

Then, pleaase create the directories for executable files and configuration
files as follows:

  $ mkdir bin
  $ mkdir conf

Finally, executable files and configuration files are copied as follows: 

  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_main bin
  $ cp ../../dcpam5-YYYYMMDD/src/main/init_data  bin
  $ cp ../../dcpam5-YYYYMMDD/exp_setup_files/*.conf conf

Note that you can perform an experiment in any directory by using executable files and configuration (NAMELIST) files.

=end EN


=begin JA

== ͥǡեκ

init_data  init_data_p04_T21L20.conf
Ѥƽͥե init_T21L20.nc ޤ. 

  $ ./bin/init_data -N=./conf/init_data_p04_T21L20.conf

   *** MESSAGE [init_data] ***  Run: Initial data generation
   *** MESSAGE [init_data] ***  -- version = $Name: dcpam5-20120813 $$Id: exp-p04.rd,v 1.12 2012-02-22 15:11:34 takepiro Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20120813 $$Id: exp-p04.rd,v 1.12 2012-02-22 15:11:34 takepiro Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "./conf/init_data_p04_T21L20.conf".
                         : 
   *** MESSAGE [initial_data] ***    QVapAvr = 0.
   *** MESSAGE [initial_data] ***    Ueq     = 0.
   *** MESSAGE [initial_data] ***
   *** MESSAGE [initial_data] ***  -- version = $Name: dcpam5-20120813 $$Id: exp-p04.rd,v 1.12 2012-02-22 15:11:34 takepiro Exp $
   *** MESSAGE [HistoryClose] ***  "init_T21L20.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   others                 0.200000E-01
   ------------------------------------------------
          TOTAL TIME =    0.200000E-01


== ¸μ¹

¹ԥե "dcpam_main"  NAMELIST ե
((<dcpam_p04_T21L20.conf|URL:../../exp_setup_files/dcpam_p04_T21L20.conf>))
Ѥ, ʲΤ褦 dcpam_main ¹ԤƤ. 
ץཪλˤϿʬʬޤ. 

(ʤ, ѥĶǤϰʲˡǥץ
¹Ԥ뤳ȤϤǤʤΤդƤ. ξμ¹ˡ
˴ؤƤ, δĶǤΥץ¹ԥޥ˥奢ʤɤ򻲾Ȥ. )

  $ ./bin/dcpam_main -N=./conf/dcpam_p04_T21L20.conf | tee p04.log

   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20120813 $$Id: exp-p04.rd,v 1.12 2012-02-22 15:11:34 takepiro Exp $
   *** MESSAGE [dcpam_main] ***  NAMELIST group "dcpam_main_nml" is loaded from "./conf/dcpam_p04_T21L20.conf".
   &DCPAM_MAIN_NML FLAGDYNAMICS=T,FLAGFULLPHYSICS=F,FLAGHS94=F,FLAGVENUSSIMPLE=F,FLAGJUPITERSIMPLE=F,FLAGRADIATIONDENNOUAGCM=T,FLAGRADIATIONDCPAMEV1=F,FLAGRADIATIONDCPAMMV1=F,FLAGRADIATIONSL09=F,FLAGPHYIMP1LAYMODEL=T,FLAGPHYIMPSOILMODEL=F,FLAGPHYIMPSOILMODELSO=F,FLAGPHYIMPATMONLY=F,FLAGVERTICALFILTER=F/
   *** MESSAGE [dcpam_main] ***  FlagDynamics=<T>.
   *** MESSAGE [dcpam_main] ***  FlagRadiationDennouAGCM=<T>.
                     :
   *** MESSAGE [HistoryClose] ***  "TotEngy.nc" is closed
   *** MESSAGE [HistoryClose] ***  "Enstro.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   surface_properties     0.904434E-07
   dynamics_hspl_vas83    0.380824E+01
   mass_fixer             0.132011E+00
   check_prog_vars        0.360025E-01
   timefilter_asselin19   0.760067E-01
   others                 0.212009E+00
   ------------------------------------------------
          TOTAL TIME =    0.426427E+01

ξ, 12 ʬλʬԤޤ. 
ֲ٤ T21L20 (ٳʻ 64,  32, ľؿ 20) Ǥ. 
׻̤ U.nc  Temp.nc ȤƽϤޤ. 
ޤ, ꥹȥե뤬 rst.nc ȤƽϤޤ. 

=end JA

=begin EN

== Create initial data file

Create initial data file "init_T21L20.nc"
using "bin/init_data" and "conf/init_data_p04_T21L20.conf" 
  
  $ ./bin/init_data -N=./conf/init_data_p04_T21L20.conf

   *** MESSAGE [init_data] ***  Run: Initial data generation
   *** MESSAGE [init_data] ***  -- version = $Name: dcpam5-20120813 $$Id: exp-p04.rd,v 1.12 2012-02-22 15:11:34 takepiro Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20120813 $$Id: exp-p04.rd,v 1.12 2012-02-22 15:11:34 takepiro Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "./conf/init_data_p04_T21L20.conf".
                         : 
   *** MESSAGE [initial_data] ***    QVapAvr = 0.
   *** MESSAGE [initial_data] ***    Ueq     = 0.
   *** MESSAGE [initial_data] ***
   *** MESSAGE [initial_data] ***  -- version = $Name: dcpam5-20120813 $$Id: exp-p04.rd,v 1.12 2012-02-22 15:11:34 takepiro Exp $
   *** MESSAGE [HistoryClose] ***  "init_T21L20.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   others                 0.200000E-01
   ------------------------------------------------
          TOTAL TIME =    0.200000E-01


== Run the experiment

Using an executable files 'dcpam_main' and a NAMELIST file
((<dcpam_p04_T21L20.conf|URL:../../exp_setup_files/dcpam_p04_T21L20.conf>)), 
execute 'dcpam_main' as follows. 
This program will be finished in few minutes - tens of minutes. 

  $ ./bin/dcpam_main -N=./conf/dcpam_p04_T21L20.conf | tee p04.log

   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20120813 $$Id: exp-p04.rd,v 1.12 2012-02-22 15:11:34 takepiro Exp $
   *** MESSAGE [dcpam_main] ***  NAMELIST group "dcpam_main_nml" is loaded from "./conf/dcpam_p04_T21L20.conf".
   &DCPAM_MAIN_NML FLAGDYNAMICS=T,FLAGFULLPHYSICS=F,FLAGHS94=F,FLAGVENUSSIMPLE=F,FLAGJUPITERSIMPLE=F,FLAGRADIATIONDENNOUAGCM=T,FLAGRADIATIONDCPAMEV1=F,FLAGRADIATIONDCPAMMV1=F,FLAGRADIATIONSL09=F,FLAGPHYIMP1LAYMODEL=T,FLAGPHYIMPSOILMODEL=F,FLAGPHYIMPSOILMODELSO=F,FLAGPHYIMPATMONLY=F,FLAGVERTICALFILTER=F/
   *** MESSAGE [dcpam_main] ***  FlagDynamics=<T>.
   *** MESSAGE [dcpam_main] ***  FlagRadiationDennouAGCM=<T>.
                     :
   *** MESSAGE [HistoryClose] ***  "TotEngy.nc" is closed
   *** MESSAGE [HistoryClose] ***  "Enstro.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   surface_properties     0.904434E-07
   dynamics_hspl_vas83    0.380824E+01
   mass_fixer             0.132011E+00
   check_prog_vars        0.360025E-01
   timefilter_asselin19   0.760067E-01
   others                 0.212009E+00
   ------------------------------------------------
          TOTAL TIME =    0.426427E+01

In this case, 12 days integration is performed. 
Resolution is T21L20 (Number of grid points of longitude, latitude is 
64, 32, and number of vertical layer is 20). 
History data are output to 'U.nc' and 'Temp.nc' etc., 
and a restart data is output to 'restart.nc'. 

=end EN

=begin JA
== ̤βĻ벽
((<ñʲϡĻ벽|URL:./visualization.htm>)) 򻲾ȤƤ. 
ʸοޤȤӤλƤޤ. 
=end JA
=begin EN
=end EN

=begin JA
== Ǹ
¸ǥ쥯ȥ˺줿׻̤¸Ƥˤ
ǡѥǥ쥯ȥ(㤨 data01), 
եưƤޤ礦. 

  $ mkdir data01
  $ mv *.nc *.log data01/

ʤ, ׻̤׻¹Ի˥֥ǥ쥯ȥؽϤ뤳ȤǽǤ. 
((<¸ѹ|URL:./changesetup.htm>))νѹ򻲾Ȥ, 
NAMELIST "&gtool_historyauto_nml" ѿ "FilePrefix" ˤƤߤƲ. 
=end JA

=begin EN
== Final remark
If you would like to keep the results of the numerical experiment, 
please create a sub directory ("data01" for example), move the files, 
and keep the current directory neatly. 

  $ mkdir data01
  $ mv *.nc *.log data01/

You can output the results of the numerical experimet concurrently with the
execution. Please refer to "Change output settings" 
in ((<Change experimental setup|URL:./changesetup.htm.en>)) 
and try to configure "FilePrefix" variable in NAMELIST "&gtool_historyauto_nml". 

=end EN

=begin JA
== ʸ
=end JA

=begin EN
== References
=end EN

=begin
* ((<
  Polvani, L. M., R. K. Scott, S. J. Thomas, 2004: 
  Numerically Converged Solutions of the Global Primitive Equations for 
  Testing the Dynamical Core of Atmospheric GCMs. 
  Mon. Wea. Rev., 132, 2539 -- 2552. 
  |URL:http://journals.ametsoc.org/doi/abs/10.1175/MWR2788.1>))
=end


=begin HTML
<hr />
<small>
  $Id: exp-p04.rd,v 1.12 2012-02-22 15:11:34 takepiro Exp $
</small>
=end HTML

